#!/usr/bin/env python3
import argparse
import banana

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="Convert banana string to dec")
    parser.add_argument("banana", help="String to be converted")
    parser.add_argument("--alphabet", help="Set alphabet")
    parser.add_argument("--alphastart", help="Set starting alphabet", type=int)
    parser.add_argument("--shiftend", help="Set shift for ending alphabet", type=int)
    args = parser.parse_args()

    alphabet = None
    if not args.alphabet is None:
        alphabet = [list(i) for i in args.alphabet.split(",")]
        
    print(banana.banana2dec(args.banana, args.alphastart, args.shiftend, alphabet))
     